Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class XWPFPicture

    java.lang.Object
      org.apache.poi.xwpf.usermodel.XWPFPicture

    public class XWPFPicture

extends java.lang.Object

Author:
  Philipp Epp

Field Summary
`protected XWPFParagraph` | `paragraph`

Constructor Summary
`XWPFPicture(org.openxmlformats.schemas.drawingml.x2006.picture.CTPicture ctPic, XWPFParagraph paragraph)`

Method Summary
`org.openxmlformats.schemas.drawingml.x2006.picture.CTPicture` | `getCTPicture()` Return the underlying CTPicture bean that holds all properties for this picture
`XWPFParagraph` | `getParagraph()`
`XWPFPictureData` | `getPictureData()` Get the PictureData of the Picture, if present.
`void` | `setPictureReference(PackageRelationship rel)` Link Picture with PictureData

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paragraph

    protected XWPFParagraph paragraph

Constructor Detail

### XWPFPicture

    public XWPFPicture(org.openxmlformats.schemas.drawingml.x2006.picture.CTPicture ctPic,
                       XWPFParagraph paragraph)

Method Detail

### getParagraph

    public XWPFParagraph getParagraph()

### setPictureReference

    public void setPictureReference(PackageRelationship rel)

  Link Picture with PictureData

  Parameters:
    `rel` -

### getCTPicture

    public org.openxmlformats.schemas.drawingml.x2006.picture.CTPicture getCTPicture()

  Return the underlying CTPicture bean that holds all properties for this picture

  Returns:
    the underlying CTPicture bean

### getPictureData

    public XWPFPictureData getPictureData()

  Get the PictureData of the Picture, if present. Note - not all kinds of picture have data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.